Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_RT_POA_Helper Class Reference

Helper for creating RT POA objects. More...

`#include <RT_POA_Helper.h>`

Inheritance diagram for TAO_Notify_RT_POA_Helper:

[legend]
Collaboration diagram for TAO_Notify_RT_POA_Helper:

[legend]
List of all members.

## Public Methods
| ~TAO_Notify_RT_POA_Helper ()
| Destructor.
void | init (PortableServer::POA_ptr parent_poa, const char *poa_name, const NotifyExt::ThreadPoolParams &tp_params ACE_ENV_ARG_DECL)
void | init (PortableServer::POA_ptr parent_poa, const NotifyExt::ThreadPoolParams &tp_params ACE_ENV_ARG_DECL)
void | init (PortableServer::POA_ptr parent_poa, const char *poa_name, const NotifyExt::ThreadPoolLanesParams &tpl_params ACE_ENV_ARG_DECL)
void | init (PortableServer::POA_ptr parent_poa, const NotifyExt::ThreadPoolLanesParams &tpl_params ACE_ENV_ARG_DECL)
void | init (PortableServer::POA_ptr parent_poa ACE_ENV_ARG_DECL)

## Detailed Description

Helper for creating RT POA objects.

## Constructor & Destructor Documentation

TAO_Notify_RT_POA_Helper::~TAO_Notify_RT_POA_Helper | ( |  | ) |

| Destructor.

## Member Function Documentation

void TAO_Notify_RT_POA_Helper::init | ( | PortableServer::POA_ptr parent_poa | ACE_ENV_ARG_DECL | ) |

| Create a new PortableServer::POA. The name is chosen at random. The CLIENT_PROPAGATED policy is applied to the new POA. Reimplemented from TAO_Notify_POA_Helper.

void TAO_Notify_RT_POA_Helper::init | ( | PortableServer::POA_ptr | parent_poa,
|  | const NotifyExt::ThreadPoolLanesParams &tpl_params | ACE_ENV_ARG_DECL
| ) |

| Create a new PortableServer::POA. The name is chosen at random. The UNIQUE_ID, USER_ID , CLIENT_PROPAGATED and thread lane policy is applied to the new POA.

void TAO_Notify_RT_POA_Helper::init | ( | PortableServer::POA_ptr | parent_poa,
|  | const char * | poa_name,
|  | const NotifyExt::ThreadPoolLanesParams &tpl_params | ACE_ENV_ARG_DECL
| ) |

| Create a new PortableServer::POA. The UNIQUE_ID, USER_ID , CLIENT_PROPAGATED and thread lane policy is applied to the new POA.

void TAO_Notify_RT_POA_Helper::init | ( | PortableServer::POA_ptr | parent_poa,
|  | const NotifyExt::ThreadPoolParams &tp_params | ACE_ENV_ARG_DECL
| ) |

| Create a new PortableServer::POA. The name is chosen at random. The UNIQUE_ID, USER_ID , CLIENT_PROPAGATED and thread pool policy is applied to the new POA.

void TAO_Notify_RT_POA_Helper::init | ( | PortableServer::POA_ptr | parent_poa,
|  | const char * | poa_name,
|  | const NotifyExt::ThreadPoolParams &tp_params | ACE_ENV_ARG_DECL
| ) |

| Create a new PortableServer::POA. The UNIQUE_ID, USER_ID , CLIENT_PROPAGATED and thread pool policy is applied to the new POA.

The documentation for this class was generated from the following files:

- RT_POA_Helper.h
- RT_POA_Helper.cpp